> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Prepare Paxos Deposit Tx

> Prepares the Paxos vault deposit transaction (optionally with permit signature) via the Amplify SDK.

Not available to API keys.

## OpenAPI

````yaml api-reference/openapi.json POST /tga/prepare-paxos-deposit-tx
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /tga/prepare-paxos-deposit-tx:
    post:
      operationId: preparePaxosDepositTx
      summary: Prepare Paxos Deposit Tx
      description: >-
        Prepares the Paxos vault deposit transaction (optionally with permit
        signature) via the Amplify SDK.


        Not available to API keys.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/PreparePaxosDepositTxRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PreparePaxosDepositTxResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    PreparePaxosDepositTxRequest:
      type: object
      properties:
        toAddress:
          type: string
          pattern: ^0x[a-fA-F0-9]{40}$
        depositAsset:
          type: string
          pattern: ^0x[a-fA-F0-9]{40}$
        depositAmount:
          type: string
          minLength: 1
          description: >-
            NOTE(ck): a .refine() rule is not mirrored here; TGA still enforces
            it
        chainId:
          type: integer
          description: >-
            NOTE(ck): a .refine() rule is not mirrored here; TGA still enforces
            it
        signature:
          type: string
        deadline:
          type: string
      required:
        - toAddress
        - depositAsset
        - depositAmount
        - chainId
    PreparePaxosDepositTxResponse:
      type: object
      properties:
        abi:
          type: array
          items: {}
        address:
          type: string
        functionName:
          type: string
        args:
          type: array
          items: {}
        chainId:
          type: number
      required:
        - abi
        - address
        - functionName
        - args
        - chainId
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
